/*
 * Hangman application
 * BME MIT, IRF course
 * https://www.inf.mit.bme.hu/edu/bsc/irf
 */
package hangman;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author Tamas Toth
 */
public class Hangman {

    /**
     * Hangman class of the hangman game.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        //parse parameters
        if (args.length != 1) {
            System.out.println("Usage: java -jar Hangman.jar <port>");
            return;
        }

        int port;

        try {
            port = Integer.parseInt(args[0]);
        } catch (NumberFormatException e) {
            System.out.println("Usage: java Hangman <port>");
            return;
        }

        try {
            ServerSocket ss = new ServerSocket(port);
            System.out.println("ServerSocket created at port " + port + ".");

            //create sockets
            while (true) {
                try {
                    Socket s = ss.accept();
                    Thread thread = new Thread(new GameSession(s));
                    thread.start();
                } catch (IOException e) {
                    System.err.println("Could not create socket.");
                }
            }
        } catch (IOException e) {
            System.err.println("An error occured creating the ServerSocket, terminating.");
        }
    }
}
